#ifndef HIDCONTROL_H
#define HIDCONTROL_H

#include <QMainWindow>
#include <QTimer>
#include "hiddata.h"

namespace Ui {
class HIDControl;
}

class HIDControl : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit HIDControl(QWidget *parent = 0);
    ~HIDControl();
    char* usbErrorMessage(int errCode);
    usbDevice_t* openDevice(void);    
    QString hexDump(char* data, int offset,int length);

public slots:
    void writeData();
    void readData();

private:
    Ui::HIDControl *ui;
    usbDevice_t *dev;
    char buffer[129]; /* room for dummy report ID */
    QTimer timer;
};

#endif // HIDCONTROL_H
